﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class Area : UserControl
    {
        public Area()
        {
            InitializeComponent();
        }

        private int X0, Y0;
        private bool press = false;

        private void Area_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            press = true;
        }

        private void Area_MouseMove(object sender, MouseEventArgs e)
        {
            if (press)
            {
                if (e.Button == MouseButtons.Left)
                {
                    Left += e.X - X0;
                    Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
                else if (e.Button == MouseButtons.Middle)
                {
                    colorDialog1.Color = BackColor;
                    if (colorDialog1.ShowDialog() == DialogResult.OK)
                        BackColor = colorDialog1.Color;
                }
            }
        }

        private void Area_MouseUp(object sender, MouseEventArgs e)
        {
            press = false;
        }
        private void Button1_Click(object sender, EventArgs e)
        {
            if (trackBar1.Value > trackBar1.Minimum)
                trackBar1.Value--;
        }


        private void Button2_Click(object sender, EventArgs e)
        {   if (trackBar1.Value < trackBar1.Maximum)
               trackBar1.Value++;
        }
    }
}
